Debit (Sale) - Use a Token

Process an ACH Debit (Sale) with an account token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

In banking a debit transaction is when you take funds from an account. (This is the same function as a sale transaction on a credit card). An ACH debit transaction authorizes to “pull” funds from a customer bank account, typically used for a sale or subscription.

Parameters

The following parameters are available to process an ACH Debit transaction.

parameterdescriptionrequired
midthe Merchant ID (MID) assigned by USER.COMPANY_NAME or your merchant service provider (MSP)Yes
reference_idA reference id that will be echo'd back in the message response.No
amountthe total amount to debitYes
orderida unique merchant order tracking numberYes
checknumbercheck number to captureNo
checkdatedate provided for the checkNo
transactiondatedate to assign for the transactionNo
account_numberbank account tokenYes
banknamename of the bank for debitNo
bankcitybank cityNo
bankstatebank 2-char state codeNo
customeriddebited account holder customer IDNo
cfirstnamedebited account holder first nameNo
clastnamedebited account holder last nameNo
cphonedebited account holder phone numberNo
cemaildebited account holder emailNo
caddress1debited account holder street 1 addressNo
caddress2debited account holder street addressNo
ccitydebited account holder cityNo
cstatedebited account holder stateNo
czipdebited account holder zip codeNo
memofree form textNo
metadataa set of key-value pairs that you can attach to a payment. This can be useful for storing additional information about the payment in a structured format.No
JSON Example

The following JSON example provides a template for all the ACH Debit parameter values. You can copy and paste these values in the Body Params section above to be used by the Try It feature

{
  "transaction_data": {
    "mid": "",
    "amount": "",
    "orderid": "",
    "seccode": "",
    "checknumber": "* if seccode = RCK",
    "checkdate": "",
    "transactiondate": "",
    "name_on_account": "",
    "routing_number": "",
    "account_number": "",
    "account_type": "",
    "account_nickname": "",
    "bankname": "",
    "bankcity": "",
    "bankstate": "",
    "customerid": "",
    "cfirstname": "",
    "clastname": "",
    "cphone": "",
    "cemail": "",
    "caddress1": "",
    "caddress2": "",
    "ccity": "",
    "cstate": "",
    "czip": "",
    "memo": "",
    "store_accnt": ""
  }
}

References

Body Params
transaction_data
object
Headers
string
required
length ≤ 24
Defaults to T6554252567241061980

The unique key identifying the app making this request.

NOTE: If testing use T6554252567241061980 for the Qor-App-Key header key.

string
required
Defaults to 01dffeb784c64d098c8c691ea589eb82

The Client key represents an authorized merchant account and is assigned by QorCommerce or your merchant service account provider.

NOTE: If testing use 01dffeb784c64d098c8c691ea589eb82 for the Qor-Client-Key header key.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json